using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;
public class OyunKontrol : MonoBehaviour
{
    AudioSource ses;
    public AudioClip clp1;
    public GameObject ucanAsteroid;
    public Vector3 randomAsteroidOlustur;
    int score;
    public Text scoreYaz, oyunBittiText, yenidenBaslaText;
    bool oyunDurum;
    bool yenidenBasla = false;
    // Use this for initialization
    void Start()
    {
        ses = GetComponent<AudioSource>();
        scoreYaz.text = "Skorrrrrrrrr :D : " + score;
        score = 0;
        oyunDurum = true;
        StartCoroutine(olustur());
    }
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.R) && yenidenBasla == true)
        {
            //Debug.Log("Yeniden Başladı");
            SceneManager.LoadScene("oyun");
        }
    }
    public void scoreArttir(int gelenScore)
    {
        score += gelenScore;
        scoreYaz.text = "Skorrrrrrrrr :D : " + score;
    }
    public void oyunBitti()
    {
        Debug.Log("Oyun Bitti");
        oyunBittiText.text = "Oyun Bitti";
        ses.PlayOneShot(clp1);
        yenidenBasla = true;
        oyunDurum = false;
    }
    /*void olustur(){
        //randomAsteroidOlustur.x = Random.Range(-4, 4);
        //Instantiate(ucanAsteroid, randomAsteroidOlustur, Quaternion.identity);
        //Yukarıda oluşturduğum kodda hali hazırdaki randomAsteroidOlustur Vector3 değerini değiştirmeden direkt kodda değerleri oluşturuyoruz.
        Vector3 vec = new Vector3(Random.Range(-randomAsteroidOlustur.x, randomAsteroidOlustur.x), 0, randomAsteroidOlustur.z);
        //Yukarıda oluşturduğumuz vec değişkeninde elimizle Unity ekranında değer girerek sınırları belirliyoruz.
        Instantiate(ucanAsteroid, vec, Quaternion.identity);
    }*/

    IEnumerator olustur()
    {
        while (oyunDurum)
        {
            for (int i = 0; i < 10; i++)
            {
                Vector3 vec = new Vector3(Random.Range(-randomAsteroidOlustur.x, randomAsteroidOlustur.x), 0, randomAsteroidOlustur.z);
                Instantiate(ucanAsteroid, vec, Quaternion.identity);
                yield return new WaitForSeconds(0.5f);
            }
            if (oyunDurum == false)
            {
                yenidenBaslaText.text = "Yeniden başlamak için R";
            }
            yield return new WaitForSeconds(2);
        }
    }
}
